Docs
Szukaj w dokumentacji...⌘K

Keyword lists

Tylko API
GET/v3/site-explorer/keyword-lists

Returns keyword lists with organic search metrics from Google. Filters apply to keywords before list aggregation, matching the report.

Parametry zapytania

selectstringWymagane

A comma-separated list of columns to return. See response schema for valid column identifiers.

wherestring

The filter expression. The following column identifiers are recognized (this differs from the identifiers recognized by the select parameter).

order_bystring

A comma-separated list of columns to order results by, with optional direction. See response schema for valid column identifiers.

Example:field_a,field_b:asc,field_c:desc
limitinteger

The number of results to return.

Min.:1
Domyślne:1000
timeoutinteger

A manual timeout duration in seconds.

Min.:0
volume_modestring

The search volume calculation mode: monthly or average. It affects volume, traffic, and traffic value.

Dozwolone wartości:monthlyaverage
Domyślne:monthly
traffic_modestring

The organic traffic calculation mode: static or adaptive. It affects organic traffic and traffic value.

Dozwolone wartości:staticadaptive
Domyślne:adaptive
datestring (date)Wymagane

A date to report metrics on in YYYY-MM-DD format.

date_comparedstring (date)

A date to compare metrics with in YYYY-MM-DD format.

countrystring

A two-letter country code (ISO 3166-1 alpha-2).

Dozwolone wartości:adaeafagaialamaoarasatauawazba…
modestring

The scope of the search based on the target you entered.

Dozwolone wartości:exactprefixdomainsubdomains
Domyślne:subdomains
targetstring (url)Wymagane

The target of the search: a domain or a URL.

portfolio_idinteger

The unique identifier of the portfolio. When provided, it takes precedence over target.

protocolstring

The protocol of your target.

Dozwolone wartości:bothhttphttps
Domyślne:both
outputstring

Format wyjściowy.

Dozwolone wartości:jsoncsvxmlphp

Odpowiedzi

keyword_listsarray<object>
keyword_list_idstring

The keyword list identifier. Only lists visible to the token's user are included.

keyword_list_namestring

The name of the keyword list.

keywordsinteger

The number of keyword and location pairs in the list for which the target ranks.

keywords_diffinteger

The change in ranking keyword and location pairs between the selected dates.

keywords_previnteger

The number of keyword and location pairs in the list for which the target ranks. on the comparison date.

sum_trafficinteger

(10 units) The estimated monthly organic traffic the target gets from Google for the list's keywords.

sum_traffic_diffinteger

(10 units) The change in estimated monthly organic traffic from Google between the selected dates.

sum_traffic_previnteger

(10 units) The estimated monthly organic traffic the target gets from Google for the list's keywords. on the comparison date.

top_keywordstring or null

The list keyword that brings the most organic traffic to the target.

top_keyword_best_positioninteger or null

The target's best organic position for the top keyword.

top_keyword_best_position_previnteger or null

The target's best organic position for the top keyword. on the comparison date.

top_keyword_countrystring or null

The country of the top keyword.

Dozwolone wartości:ADAEAFAGAIALAMAOAQARASATAUAWAX…
top_keyword_country_prevstring or null

The country of the top keyword. on the comparison date.

Dozwolone wartości:ADAEAFAGAIALAMAOAQARASATAUAWAX…
top_keyword_prevstring or null

The list keyword that brings the most organic traffic to the target. on the comparison date.

top_keyword_volumeinteger or null

(10 units) The search volume of the top keyword.

top_keyword_volume_previnteger or null

(10 units) The search volume of the top keyword. on the comparison date.

valueinteger or null

(10 units) The estimated value of the target's monthly organic traffic from Google for the list's keywords, in USD cents.

value_diffinteger or null

(10 units) The change in estimated value of monthly organic traffic from Google between the selected dates, in USD cents.

value_previnteger or null

(10 units) The estimated value of the target's monthly organic traffic from Google for the list's keywords, in USD cents. on the comparison date.